package com.faraphel.tasks_valider.database.dao

import androidx.room.Dao
import androidx.room.Query
import com.faraphel.tasks_valider.database.dao.base.BaseDao
import com.faraphel.tasks_valider.database.entities.TaskGroup


@Dao
interface TaskGroupDao : BaseDao<TaskGroup> {
    @Query("SELECT * FROM `task_group`")
    override fun getAll(): List<TaskGroup>

    @Query("SELECT * FROM `task_group` WHERE task_id = :taskId AND group_id = :groupId")
    fun getById(taskId: Long, groupId: Long): TaskGroup
}
